VSTs & Plugins for LE5

All about our Cubase LE and Cubase AI OEM bundle software.
Post Reply
fredandrebecca
New Member
Posts: 5
Joined: Mon Jun 02, 2014 9:28 am
Contact:

VSTs & Plugins for LE5

Post by fredandrebecca »

Hi, Does anyone know which VST instruments or loops I could download to expand my sounds? I'm running Cubase LE5 which comes with a limited version of HalIonOne only. I'm keen to get more sounds or sample loops, but nervous about paying for downloads and then discovering that I can't get them to play with LE5. Any advice gratefully received.

Joel Gragg
Moderator
Posts: 209
Joined: Fri Dec 07, 2012 4:35 pm
Contact:

Re: VSTs & Plugins for LE5

Post by Joel Gragg »

Hello Fred,

Cubase LE5 will support any 3rd party VST 2.0 or 2.4 versions of plug-ins. I would advise first contacting the Plug-In company you are interested in purchasing from and making sure they support VST 2's. The newest format is VST 3, is what most companies are supporting for newer version of Plug-ins. You can also find this out many times on the Manufactures website. As far as Loops go, LE5 will work with any MIDI file loops and most Audio but I would advise upgrading to newer version of Cubase (Elements 7 or higher) which has the Mediabay browser, making it much easier to access 3rd party content loop sets.
Joel Gragg
Steinberg US Support

fredandrebecca
New Member
Posts: 5
Joined: Mon Jun 02, 2014 9:28 am
Contact:

Re: VSTs & Plugins for LE5

Post by fredandrebecca »

Thanks Joel, that's very helpful. One additional question: Many of the VST packs seem to be specific to instruments (i.e. synth, strings, bass etc), and I'm after a broad range. Does Steinberg have a pack I can purchase to expand the sound and sample library that I current get with HalionOne, one that will work with LE5? If so, do you have a recommendation? Thanks

Joel Gragg
Moderator
Posts: 209
Joined: Fri Dec 07, 2012 4:35 pm
Contact:

Re: VSTs & Plugins for LE5

Post by Joel Gragg »

Hello Fredandrebecca.

Although there are several Instrument Content Packs, Sound Sets, and more that Steinberg offers, they are primarily designed to work in Cubase LE/AI Elements 6 or higher like the Artist and Full version of Cubase 7.5. The reason is LE5 did not include the MediaBay Editor, which makes it easy to add these content sets. If you upgraded to the minimum of Cubase Elements 7, you could use any of the Steinberg Content Sets within Halinon Sonic SE or Groove Agent One. Other than that to find a broad base of instrument sounds you might be able to find an older version of Native Instruments Kontakt but I wouldn't advise it using LE5. That is my suggestion.
Joel Gragg
Steinberg US Support

fredandrebecca
New Member
Posts: 5
Joined: Mon Jun 02, 2014 9:28 am
Contact:

Re: VSTs & Plugins for LE5

Post by fredandrebecca »

Thanks again. Upgrading is my best options. I'm nervous about upgrading and not being able to play all the music I've created in LE5. Would that be a problem? Also, the upgrade page I've found (http://www.steinberg.net/en/landing_pag ... grade.html) talks about upgrading from LE6, but not from an older version. Is this the site I should use?

Joel Gragg
Moderator
Posts: 209
Joined: Fri Dec 07, 2012 4:35 pm
Contact:

Re: VSTs & Plugins for LE5

Post by Joel Gragg »

Hello Fred,

Cubase Elements 7, 7.5 Artist, 7.5 (Full) will all open projects created from LE5 software. The upgrade for Elemetns 7 is only for Cubase LE6 or LE7, so if you wish to purchase Elements 7 you would need to buy the full license and not the upgrade. There are upgrade from LE5 for both Cubase Artst 7.5 and 7.5 (Full)
Joel Gragg
Steinberg US Support

Post Reply

Return to “Cubase LE and Cubase AI”

Who is online

Users browsing this forum: No registered users and 2 guests